<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Strategies"
	ProjectGUID="{98A228F8-FECA-1BAD-1A62-CC4004339E4E}"
	RootNamespace="Strategies"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Debug\Strategies_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="TAO_STRATEGIES_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib"
				OutputFile="$(OutDir)\TAO_Strategiesd.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				ImportLibrary="..\..\lib\TAO_Strategiesd.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Release\Strategies_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="TAO_STRATEGIES_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib"
				OutputFile="$(OutDir)\TAO_Strategies.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\lib\TAO_Strategies.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="Strategies\advanced_resource.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Acceptor.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Connection_Handler.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Connector.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Endpoint.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Profile.cpp">
			</File>
			<File
				RelativePath="Strategies\DIOP_Transport.cpp">
			</File>
			<File
				RelativePath="Strategies\FIFO_Connection_Purging_Strategy.cpp">
			</File>
			<File
				RelativePath="Strategies\LF_Strategy_Null.cpp">
			</File>
			<File
				RelativePath="Strategies\LFU_Connection_Purging_Strategy.cpp">
			</File>
			<File
				RelativePath="Strategies\NULL_Connection_Purging_Strategy.cpp">
			</File>
			<File
				RelativePath="Strategies\OC_Endpoint_Selector_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\OC_Endpoint_Selector_Loader.cpp">
			</File>
			<File
				RelativePath="Strategies\Optimized_Connection_Endpoint_Selector.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Acceptor.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Connection_Handler.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Connector.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Endpoint.cpp">
			</File>
			<File
				RelativePath="Strategies\sciop_endpointsC.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Lite_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Profile.cpp">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Transport.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Acceptor.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Connection_Handler.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Connector.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Endpoint.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Profile.cpp">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Transport.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Acceptor.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Connection_Handler.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Connector.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Endpoint.cpp">
			</File>
			<File
				RelativePath="Strategies\uiop_endpointsC.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Lite_Factory.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Profile.cpp">
			</File>
			<File
				RelativePath="Strategies\UIOP_Transport.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="Strategies\advanced_resource.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Acceptor.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Connection_Handler.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Connector.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Endpoint.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Factory.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Profile.h">
			</File>
			<File
				RelativePath="Strategies\DIOP_Transport.h">
			</File>
			<File
				RelativePath="Strategies\FIFO_Connection_Purging_Strategy.h">
			</File>
			<File
				RelativePath="Strategies\LF_Strategy_Null.h">
			</File>
			<File
				RelativePath="Strategies\LFU_Connection_Purging_Strategy.h">
			</File>
			<File
				RelativePath="Strategies\NULL_Connection_Purging_Strategy.h">
			</File>
			<File
				RelativePath="Strategies\OC_Endpoint_Selector_Factory.h">
			</File>
			<File
				RelativePath="Strategies\OC_Endpoint_Selector_Loader.h">
			</File>
			<File
				RelativePath="Strategies\Optimized_Connection_Endpoint_Selector.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Acceptor.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Connection_Handler.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Connector.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Endpoint.h">
			</File>
			<File
				RelativePath="Strategies\sciop_endpointsC.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Factory.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Lite_Factory.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Profile.h">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Transport.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Acceptor.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Connection_Handler.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Connector.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Endpoint.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Factory.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Profile.h">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Transport.h">
			</File>
			<File
				RelativePath="Strategies\strategies_export.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Acceptor.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Connection_Handler.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Connector.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Endpoint.h">
			</File>
			<File
				RelativePath="Strategies\uiop_endpointsC.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Factory.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Lite_Factory.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Profile.h">
			</File>
			<File
				RelativePath="Strategies\UIOP_Transport.h">
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="Strategies\TAO_Strategies.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Pidl Files"
			Filter="pidl">
			<File
				RelativePath="Strategies\sciop_endpoints.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Strategies\uiop_endpoints.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="Strategies\DIOP_Acceptor.i">
			</File>
			<File
				RelativePath="Strategies\DIOP_Endpoint.i">
			</File>
			<File
				RelativePath="Strategies\LF_Strategy_Null.inl">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Acceptor.i">
			</File>
			<File
				RelativePath="Strategies\SCIOP_Endpoint.i">
			</File>
			<File
				RelativePath="Strategies\SHMIOP_Endpoint.i">
			</File>
			<File
				RelativePath="Strategies\UIOP_Endpoint.i">
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="PP_Memory_Management.txt">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;cnt;rtf;gif;jpg;jpeg;jpe">
			<File
				RelativePath="Strategies\TAO_Strategies.rc">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
